Facilitate Wikidev'17 main topic "Artificial Intelligence to build and navigate content"
Closed, ResolvedPublic

Description

https://www.mediawiki.org/wiki/Wikimedia_Developer_Summit/2017/Artificial_Intelligence_to_build_and_navigate_content

  • Facilitators (@Halfak & @Capt_Swing)
  • Problem statement
  • Expectations
  • Links
  • Key contributors invited

... and of course, activities proposed.

Related Objects

Halfak created this task.Oct 8 2016, 9:26 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 8 2016, 9:26 AM
Halfak added a subscriber: leila.Oct 8 2016, 9:27 AM

@leila would you like to facilitate with me? I imagine you'd have some more specific topics you'd like to propose as sessions too :)

Halfak added a subscriber: ellery.Oct 8 2016, 9:27 AM

@ellery I imagine you'd have some topics that would be very relevant for the summit. Maybe something re. Detox or machine learning generally?

@Smalyshev and @TJones, I'm wondering if you are interested in working with us on this topic. I know that you both use AI in your work, but I'm less familiar with your day-to-day projects.

@ToAruShiroiNeko, I know you are interested in AI around Wikimedia generally. Would you be interested in facilitating, recruiting, and proposing a session(s)?

@Ladsgroup, I'm aware that you can't attend physically, but I'm wondering if you'd be interested in facilitating and helping with recruiting.

Halfak added a subscriber: Petrb.Oct 8 2016, 9:37 AM

@Petrb, AI is a core part of Huggle. I figure you'd be a key contributor to this topic. Would you be interested in helping us organize it?

Halfak added a subscriber: Cobi.Oct 8 2016, 9:42 AM

@Cobi AI has been part of some of your most notable bot work on Wikipedia. Would you be interested in working with us to facilitate discussions of AI at the dev summit?

Halfak added a subscriber: Hjfocs.Oct 8 2016, 10:01 AM

@Hjfocs, your work on strephit seems very relevant to this dev summit topic. Would you be interested in helping facilitate or by proposing topics re. AI for Wikimedia projects generally?

@West.andrew.g, any chance I can convince you to join us for the dev summit (1/9-1/11)? I think your participation in an AI topic focus would be very valuable.

@Halfak I'm happy to help out. What would be the best way for me to contribute. I'm happy to help out with facilitating discussions, doing some demo's, or giving a technical talk ...

@Halfak, sounds like an interesting topic, but I won't be attending the Wikimedia Developer Summit.

Thanks @ellery, I'll reach out to you to plan some discussions. The general rule of thumb is that we want to aim to have some critical discussions or kick off new projects more than demo-ing old projects. Though, demos might serve the former needs so they aren't inherently undesirable.

@TJones gotcha. Maybe you'd still have some ideas for sessions that you'd like to see happen at the dev summit? I was going to suggest some discussion of generalized text processing libraries (since I know you look at that in your work) or maybe semantic relatedness services for wiki tools and analysis use-cases.

Halfak added a subscriber: Shilad.Oct 12 2016, 1:37 PM

@Shilad, speaking of semantic relatedness (see last post), you might be interested in attending the dev summit (San Fran. Jan. 9-11) to discuss your work on WikiBrain and/or what it could bring to Wikimedia development work. I think highlighting the difficulties of getting this type of system running on WMFLabs would be an interesting topic.

TJones removed a subscriber: TJones.Oct 12 2016, 1:43 PM

@Halfak Certainly an interesting topic, but hauling cross-country during the work week probably isn't viable. Regardless, I've noted the dates on my calendar. My professional position hasn't left me too much time for wiki-work lately beyond keeping STiki and my pageview stats reports barely functioning.

I just created T148690: Where to surface AI in Wikimedia Projects

I think there might be some session material for T148700: Meta ORES: UI/API for reviewing/refuting how ORES classifies you and your stuff beyond the basics of T147929. I'll think about that and maybe submit a proposal.

cscott added a subscriber: cscott.Nov 17 2016, 11:02 PM

I linked in T149666 which I submitted under this topic but wasn't previously linked here.

Qgil added a subscriber: Qgil.Dec 13 2016, 11:33 AM

In the schedule, T147929: Algorithmic dangers and transparency -- Best practices is defined as "AI Ethics". What should be the one and only title of this session?

Same for T147710: What should an AI do you for you? Building an AI Wishlist. and "AI Wishlist".

Capt_Swing updated the task description. (Show Details)Dec 14 2016, 5:37 PM
Halfak closed this task as Resolved.

Thanks to all for your help!